Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Update link to the latest Microsoft Visual C++ 2010 Service Pack 1 Redistributable Package MFC Security Update

...

  • Mac OS X:
    • Apache OpenOffice 4.1.3 will be flagged by the Gatekeeper facility in Mac OS X. This is a feature to help guard against malware on recent Mac OS X systems.
      • For Mac OS X up to 10.11 "El Capitan": There is a procedure laid out at the following link to allow applications not installed from the Mac App store to run. See the Mac support article.
      • For Mac OS X 10.12 "Sierra": In Finder, Control-click or right click the icon of the app. Select Open from the top of contextual menu that appears. Click Open in the dialog box. If prompted, enter an administrator name and password.This is needed just the first time you launch Apache OpenOffice.
    • Due to a known bug in Oracle Java installations of Apache OpenOffice on OSX that do not have the legacy Apple Java 6 installed will not be able to recognize Oracle Java 7, 8, and possibly 9. The work around until the Java bug is fixed is to install the legacy version of Apple Java from the following link: Legacy Apple Java 6. This will allow the portions of AOO that require Java to run properly.
    • Apache OpenOffice 4.1.3 supports Java 8, which is the recommended configuration; but (especially on 64-bit Windows) you might receive warnings about the Java version being defective. In that case, download and install the Microsoft Visual C++ 2010 Redistributable Package.
  • For developers:
    • The source package of OpenOffice 4.1.3 will not build on 32-bit versions of Ubuntu 14.04 and similar distributions. The source fails to build in main/svl with this error: undefined reference to `__stack_chk_fail'. This can be worked around by copying and pasting the command that fails and running it manually with "-lc" appended (as the missing __stack_chk_fail symbol is present in libc, but the linker doesn't search there).
    • The OpenOffice SDK won't build with Java 8. Either build with --disable-odk or see the dev list archives for possible solutions.

...